import sys
PARAMS  = {'context':''}
if len(sys.argv) > 1:
	
	N = len(sys.argv)
	for i in range(1,N):
		value = None
		if sys.argv[i].startswith('--'):
			key = sys.argv[i].replace('-','')
			PARAMS[key] = 1
			if i + 1 < N:
				value = sys.argv[i + 1] = sys.argv[i+1].strip()
			if key and value:
				PARAMS[key] = value
				if key == 'context':
					PARAMS[key] = ('/'+value).replace('//','/')
		
		i += 2

import logging		
import json
from datetime import datetime
class Logger :
	@staticmethod
	def init(filename):
		name = "-".join([filename,datetime.now().strftime('%d-%m-%Y')])+".log"
		logging.basicConfig(filename=name,level=logging.INFO,format="%(message)s")
	@staticmethod
	def log(**args) :
		args['date'] = datetime.now().strftime('%d-%m-%Y %H:%M:%S')
		logging.info(json.dumps(args))
		
